中危 binutils 'archive.c'本地信息泄露漏洞

CVE编号

CVE-2014-8738

利用情况

暂无

补丁情况

官方补丁

披露时间

2015-01-16
漏洞描述
Binutils是一组开发工具,包括连接器,汇编器和其他用于目标文件和档案的工具。

binutils 'archive.c'存在本地信息泄露漏洞,本地攻击者可能会利用此漏洞以获取潜在的敏感信息。
解决建议
用户可以联系供应商获得补丁信息:
http://www.gnu.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu binutils * Up to
(including)
2.24
运行在以下环境
系统 amazon linux_AMI binutils * Up to
(excluding)
2.23.52.0.1-55.65.amzn1
运行在以下环境
系统 amazon_AMI binutils * Up to
(excluding)
2.23.52.0.1-55.65.amzn1
运行在以下环境
系统 canonical ubuntu_linux 10.04 -
运行在以下环境
系统 canonical ubuntu_linux 12.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.04 -
运行在以下环境
系统 canonical ubuntu_linux 14.10 -
运行在以下环境
系统 debian debian_linux 7.0 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
2.24.90.20141124-1
运行在以下环境
系统 debian_6 binutils * Up to
(excluding)
2.20.1-16+deb6u1
运行在以下环境
系统 debian_7 binutils * Up to
(excluding)
2.22-8+deb7u2
运行在以下环境
系统 fedoraproject fedora 20 -
运行在以下环境
系统 fedoraproject fedora 21 -
运行在以下环境
系统 fedora_21 binutils * Up to
(excluding)
2.24-4.fc21
运行在以下环境
系统 fedora_EPEL_6 binutils * Up to
(excluding)
2.23.51.0.3-1.el6.1
运行在以下环境
系统 fedora_EPEL_7 binutils * Up to
(excluding)
2.23.88.0.1-2.el7.1
运行在以下环境
系统 oracle linux_7 binutils * Up to
(excluding)
2.23.52.0.1-55.el7
运行在以下环境
系统 oracle_7 binutils * Up to
(excluding)
2.23.52.0.1-55.el7
运行在以下环境
系统 redhat_7 binutils * Up to
(excluding)
0:2.23.52.0.1-55.el7
运行在以下环境
系统 sles_12 binutils * Up to
(excluding)
2.25.0-13
运行在以下环境
系统 suse_12 binutils * Up to
(excluding)
2.25.0-13
运行在以下环境
系统 ubuntu_12.04.5_lts binutils * Up to
(excluding)
2.22-6ubuntu1.2
运行在以下环境
系统 ubuntu_12.04_lts binutils * Up to
(excluding)
2.22-6ubuntu1.2
运行在以下环境
系统 ubuntu_14.04 binutils * Up to
(excluding)
2.24-5ubuntu3.1
运行在以下环境
系统 ubuntu_14.04.6_lts binutils * Up to
(excluding)
2.24-5ubuntu3.1
运行在以下环境
系统 ubuntu_14.04_lts binutils * Up to
(excluding)
2.24-5ubuntu3.1
阿里云评分
6.7
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况